-- name: [PET] Blue (Blue's Clues)
-- description: This mod adds Blue from Blue's Clues!

if not _G.wpets then return end

local E_MODEL_BLUE = smlua_model_util_get_id('bluesclues_wpet_geo')

local ID_BLUE = _G.wpets.add_pet({
	name = "Blue", credit = "SashaAnt, ZanerTheSlayer",
	description = "This mod adds Blue from Blue's Clues!",
	modelID = E_MODEL_BLUE,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_4leg(ID_BLUE)

_G.wpets.set_pet_sounds(ID_BLUE, {
	spawn = 'blue_spawn.mp3',
	happy = 'blue_happy.mp3',
	vanish = nil,
	step = 'blue_step.mp3'
})
hook_event(HOOK_UPDATE, function ()
    _G.wpets.process_pet_samples(ID_BLUE)
end)